MODULE YOMPFPB

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Buffer for horizontally post-processed auxilary surface fields

! NLENGFPB : Core-zone buffer length
! NELENGFP : Extension-zone buffer length
! NSTAGFPB : Start adresses of NFPROMA-sized blocks in Core-zone buffer
! NESTAGFP : Start adresses of NFPROMEL-sized blocks in Extension-zone buffer
! GFPBUF   : Core-zone buffer for
! GEFPBUF  : Extension-zone buffer for

INTEGER(KIND=JPIM) :: NLENGFPB
INTEGER(KIND=JPIM) :: NELENGFP
INTEGER(KIND=JPIM), ALLOCATABLE :: NSTAGFPB(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NESTAGFP(:)
REAL(KIND=JPRB), ALLOCATABLE :: GFPBUF(:)
REAL(KIND=JPRB), ALLOCATABLE :: GEFPBUF(:)

!     ------------------------------------------------------------------
END MODULE YOMPFPB
